The new TBS Powercube Colibri FC (v1.2 or above) is not compatible with older PDB's out of the box. It will require a small 1 min modification. 


All that needs to be done is to cut off one pin on the TBS Powercube PDB(non-v2.0)


Unless you are using an old flight control (V1), you will not need to make any changes. Owners of PowerCube FPVision layers are urged to check the FC (top board on the powercube) version reading. If it reads V1.2 or higher, you will not need to make any modifications.